#
# spec file for package python-kombu
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-kombu
Version:        3.0.8
Release:        0
Summary:        AMQP Messaging Framework for Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://github.com/ask/kombu/
Source:         http://pypi.python.org/packages/source/k/kombu/kombu-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Test requirements:
BuildRequires:  python-PyYAML
BuildRequires:  python-amqp >= 1.0.13
BuildRequires:  python-amqplib
BuildRequires:  python-anyjson
BuildRequires:  python-boto
BuildRequires:  python-mock
#NOTE(saschpe): Disable optional test for now util issues are resolved
#BuildRequires:  python-msgpack-python
BuildRequires:  python-nose-cover3
BuildRequires:  python-unittest2 >= 0.5.0
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
BuildRequires:  python-importlib
BuildRequires:  python-ordereddict
Requires:       python-importlib
Requires:       python-ordereddict
%endif
Requires:       python-amqp >= 1.0.13
Requires:       python-anyjson >= 0.3.3
Recommends:     couchdb
Recommends:     mongodb
Recommends:     rabbitmq-server
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
An AMQP messaging framework for Python.

AMQP is the Advanced Message Queuing Protocol, an open standard protocol
for message orientation, queuing, routing, reliability and security.

One of the most popular implementations of AMQP is RabbitMQ.

The aim of Kombu is to make messaging in Python as easy as possible by
providing an idiomatic high-level interface for the AMQP protocol, and also
provide proven and tested solutions to common messaging problems.

%prep
%setup -q -n kombu-%{version}
# For rpmlint warning: remove shebang from python library:
sed -i '/^#!/d' ./kombu/tests/test_serialization.py
# NOTE(saschpe): We have a newer python-amqp, but this shouldn't be an issue:
sed -i -e "s|amqp>=1.3.3,<2.0|amqp>=1.3.3|" requirements/default.txt kombu.egg-info/requires.txt
# NOTE(saschpe): Testsuite requires mkgpack-python < 0.2.0 because it dropped
# Python-2.5 support. This makes no sense for us, thus:
#sed -i "s/msgpack-python.*/msgpack-python/" requirements/test.txt

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc AUTHORS Changelog FAQ README.rst THANKS TODO LICENSE
%{python_sitelib}/*

%changelog
